> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Blog Post

> The "Create Blog Post" API allows you create blog post for any given blog site.



## OpenAPI

````yaml /api-reference/blogs/openapi.json post /blogs/posts
openapi: 3.0.0
info:
  title: Blogs API
  description: Documentation for Blogs
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: blogs
    description: Documentation for Blogs
paths:
  /blogs/posts:
    post:
      summary: Create Blog Post
      description: >-
        The "Create Blog Post" API allows you create blog post for any given
        blog site.
      operationId: create-blog-post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBlogPostParams'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlogPostCreateResponseWrapperDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    CreateBlogPostParams:
      type: object
      properties:
        title:
          type: string
        locationId:
          type: string
        blogId:
          type: string
        imageUrl:
          type: string
        description:
          type: string
        rawHTML:
          type: string
        status:
          type: string
        wordCount:
          type: number
        readTimeInMinutes:
          type: number
        archived:
          type: boolean
        imageAltText:
          type: string
        currentVersion:
          type: string
        metaData:
          type: object
        categories:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
        author:
          type: string
        urlSlug:
          type: string
        canonicalLink:
          type: string
        importId:
          type: string
        type:
          type: string
        publishedAt:
          type: string
      required:
        - title
        - locationId
        - blogId
        - imageUrl
        - description
        - rawHTML
        - status
        - wordCount
        - readTimeInMinutes
        - archived
        - imageAltText
        - currentVersion
        - metaData
        - categories
        - tags
        - author
        - urlSlug
        - canonicalLink
        - importId
        - type
        - publishedAt
    BlogPostCreateResponseWrapperDTO:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BlogPostResponseDTO'
      required:
        - data
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    BlogPostResponseDTO:
      type: object
      properties:
        categories:
          example:
            - 659ecabc4a37969a2b7cc370
            - 6683abde331c041f32c07aee
          description: Array of category IDs associated with the blog post
          type: array
          items:
            type: string
        tags:
          example:
            - Apple
            - Banana
          description: Array of tags associated with the blog post
          type: array
          items:
            type: string
        archived:
          type: boolean
          example: false
          description: Indicates whether the blog post is archived
        _id:
          type: string
          example: 66c381b38be80858b9af62b6
          description: Unique identifier of the blog post
        title:
          type: string
          example: Banana is good source of energy
          description: Title of the blog post
        description:
          type: string
          example: Description
          description: Description of the blog post
        imageUrl:
          type: string
          example: >-
            https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg
          description: URL of the image associated with the blog post
        status:
          type: string
          example: PUBLISHED
          description: Publication status of the blog post
        locationId:
          type: string
          example: fACm0Ojm5oC70G3DcFmE
          description: Identifier of the location associated with the blog post
        imageAltText:
          type: string
          example: alt
          description: Alternative text for the blog post image
        blogId:
          type: string
          example: ZiMMOp3ZEdnsZ4qPAjW0
          description: Unique identifier of the blog
        urlSlug:
          type: string
          example: banana-good-energy
          description: URL slug for the blog post
        canonicalLink:
          type: string
          example: https://blog.chatgpts.agency/post/test-8384
          description: Canonical link of the blog post
        author:
          type: string
          example: 659ec9634a3796e4e47cc360
          description: Identifier of the author of the blog post
        publishedAt:
          type: string
          example: '2024-08-19T17:14:57.000Z'
          description: Timestamp when the blog post was published
        createdAt:
          type: string
          example: '2024-08-19T17:32:35.362Z'
          description: Timestamp when the blog post was created
        updatedAt:
          type: string
          example: '2024-08-19T17:32:36.182Z'
          description: Timestamp when the blog post was last updated
        currentVersion:
          type: string
          example: 66c381b38be80858b9af62b7
          description: Identifier of the current version of the blog post
      required:
        - categories
        - tags
        - archived
        - _id
        - title
        - description
        - imageUrl
        - status
        - locationId
        - imageAltText
        - blogId
        - urlSlug
        - canonicalLink
        - author
        - publishedAt
        - createdAt
        - updatedAt
        - currentVersion

````